function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

const { defaults, pick } = require('lodash');
const { promisify } = require('bluebird');

module.exports = (() => {
  var _ref = _asyncToGenerator(function* (github, config) {
    const {
      branch = 'master',
      filename
    } = config;

    const blob = yield promisify(github.repos.getContent)(defaults({
      path: filename,
      ref: branch
    }, pick(config, ['user', 'repo'])));

    if (blob.type !== 'file') throw new Error('Type is not a file');

    return {
      content: Buffer.from(blob.content, 'base64').toString(),
      commitSha: blob.sha
    };
  });

  function contentFromFilename(_x, _x2) {
    return _ref.apply(this, arguments);
  }

  return contentFromFilename;
})();