function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

const { defaults, pick } = require('lodash');
const { promisify } = require('bluebird');

module.exports = (() => {
  var _ref = _asyncToGenerator(function* (github, config) {
    const { newBranch, content, filename, sha, committer, author } = config;
    const message = config.message || `chore: updated ${ filename }`;

    const response = yield promisify(github.repos.updateFile)(defaults({
      path: filename,
      message,
      content: Buffer.from(content).toString('base64'),
      sha,
      branch: newBranch,
      committer: committer || author
    }, pick(config, ['user', 'repo'])));

    return response.commit;
  });

  return function (_x, _x2) {
    return _ref.apply(this, arguments);
  };
})();